summaryrefslogtreecommitdiffstats
path: root/debian/dovecot-managesieved.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/dovecot-managesieved.postrm')
-rw-r--r--debian/dovecot-managesieved.postrm29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/dovecot-managesieved.postrm b/debian/dovecot-managesieved.postrm
new file mode 100644
index 0000000..f464ccf
--- /dev/null
+++ b/debian/dovecot-managesieved.postrm
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "purge" ] ; then
+ for conffile in $(ucfq --with-colons dovecot-managesieved | cut -d: -f1); do
+ # we mimic dpkg as closely as possible, so we remove configuration
+ # files with dpkg backup extensions too:
+ ### Some of the following is from Tore Anderson:
+ for ext in '~' '%' .bak .dpkg-tmp .dpkg-new .dpkg-old .dpkg-dist .ucf-new .ucf-old .ucf-dist; do
+ rm -f "$conffile$ext"
+ done
+ # remove the configuration file itself
+ rm -f "$conffile"
+ # and finally clear it out from the ucf database
+ if which ucf >/dev/null; then
+ ucf --purge "$conffile"
+ fi
+ if which ucfr >/dev/null; then
+ ucfr --purge dovecot-managesieved "$conffile"
+ fi
+ done
+
+fi
+
+if [ "$1" = "purge" ] || [ "$1" = "remove" ]; then
+ rm -f /usr/share/dovecot/protocols.d/managesieved.protocol
+fi
+
+#DEBHELPER#